Package org.jfree.layouting.output.pageable

## Class AbstractPageableProcessor

- java.lang.Object
- - org.jfree.layouting.output.AbstractOutputProcessor
  - - org.jfree.layouting.output.pageable.AbstractPageableProcessor

- All Implemented Interfaces:
    `OutputProcessor`, `PageableOutputProcessor`
  Direct Known Subclasses:
    `GraphicsOutputProcessor`, `PageableHtmlOutputProcessor`, `PdfOutputProcessor`

      public abstract class AbstractPageableProcessor
      extends AbstractOutputProcessor
      implements PageableOutputProcessor

  Creation-Date: 10.11.2006, 20:05:11
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `PROCESSING_CONTENT, PROCESSING_GLOBAL_CONTENT, PROCESSING_PAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractPageableProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected LogicalPageKey` | `createLogicalPage​(int width, int height)` |
    `Renderer` | `createRenderer​(LayoutProcess layoutProcess)` |
    `protected abstract PageFlowSelector` | `getFlowSelector​()` |
    `PhysicalPageKey` | `getPhysicalPage​(int page)` |
    `int` | `getPhysicalPageCount​()` |
    `PrototypeBuildingRenderer` | `getPrototypeBuilder​()` |
    `protected void` | `processingPagesFinished​()` |
    `protected abstract void` | `processLogicalPage​(LogicalPageKey key, LogicalPageBox logicalPage)` |
    `protected void` | `processPageContent​(LogicalPageKey logicalPageKey, LogicalPageBox logicalPage)` |
    `protected abstract void` | `processPhysicalPage​(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)` |

    - ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `createInputFeed, createModelBuilder, createNormalizer, getConfiguration, getDocumentContext, getLogicalPage, getLogicalPageCount, getPageCursor, getProcessingState, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processDocumentMetaData, processingContentFinished, processingFinished, processingGlobalContentFinished, setPageCursor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.output.OutputProcessor

      `createInputFeed, createModelBuilder, createNormalizer, getConfiguration, getLogicalPage, getLogicalPageCount, getMetaData, getPageCursor, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processDocumentMetaData, processingFinished, setPageCursor`

- - ### Constructor Detail

    - #### AbstractPageableProcessor

          protected AbstractPageableProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration)

  - ### Method Detail

    - #### createRenderer

          public Renderer createRenderer​(LayoutProcess layoutProcess)

      Specified by:
        `createRenderer` in interface `OutputProcessor`

    - #### getPrototypeBuilder

          public PrototypeBuildingRenderer getPrototypeBuilder​()

    - #### processingPagesFinished

          protected void processingPagesFinished​()

      Overrides:
        `processingPagesFinished` in class `AbstractOutputProcessor`

    - #### getPhysicalPageCount

          public int getPhysicalPageCount​()

      Specified by:
        `getPhysicalPageCount` in interface `PageableOutputProcessor`

    - #### getPhysicalPage

          public PhysicalPageKey getPhysicalPage​(int page)

      Specified by:
        `getPhysicalPage` in interface `PageableOutputProcessor`

    - #### createLogicalPage

          protected LogicalPageKey createLogicalPage​(int width,
                                                     int height)

      Overrides:
        `createLogicalPage` in class `AbstractOutputProcessor`

    - #### processPageContent

          protected void processPageContent​(LogicalPageKey logicalPageKey,
                                            LogicalPageBox logicalPage)

      Specified by:
        `processPageContent` in class `AbstractOutputProcessor`

    - #### getFlowSelector

          protected abstract PageFlowSelector getFlowSelector​()

    - #### processPhysicalPage

          protected abstract void processPhysicalPage​(PageGrid pageGrid,
                                                      LogicalPageBox logicalPage,
                                                      int row,
                                                      int col,
                                                      PhysicalPageKey pageKey)

    - #### processLogicalPage

          protected abstract void processLogicalPage​(LogicalPageKey key,
                                                     LogicalPageBox logicalPage)